body {
    margin: 0px;
    width: 100vw;
    overflow: hidden;
}

div.main-container {
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    background-color: white;
    /* height: 100vh; */
}

.chat-container {
    padding: 0px 0px 10px;
}

textarea#wisdom {
    font-size: 16px;
    font-weight: 300;
    width: 100%;
    font-family: 'Calibri' !important;
    padding: 20px 78px 0px 8px !important;
    background: #fefefe;
    border: none;
    border-top: 1px solid #dfdddd;
    resize: none !important;
    margin-left: -8px;
    margin-right: -4rem;
    height: 45px;
    outline: 0;
    color: #000 !important;
    -webkit-appearance: none;
}

.windowStyling {
    background-color: #FFFF;
    width: 100%;
    height: calc(100vh - 114px);
    display: flex;
    flex-direction: column;
    position: relative;
    overflow-x: hidden;
    overflow: auto;
}

.HomeButton {
    height: 2rem;
    width: 2rem;
    padding-top: 14px;
    margin-right: 20px;
    border-top: 1px solid #dfdddd !important;
}

.submitButton {
    display: inline-block;
    top: 12px;
    height: 37px;
    width: 30px;
    background: #fefefe;
    background-repeat: no-repeat;
    clear: both;
    margin-top: 1px;
    position: relative;
    right: 26px;
}

.submitButton:hover {
    opacity: 0.9 !important;
}

div.userRequest {
    margin: 5px 20px 0px auto;
    padding: 10px 14px 10px 14px;
    border-radius: 12px;
    max-width: 535px;
    min-width: auto;
    float: right;
    background-color: #002868;
    text-align: auto;
    margin-bottom: 15px;
    text-align: left;
    color: #fefefe;
    font-size: 14px;
    font-family: 'Calibri';
    overflow-wrap: break-word;
    word-break: break-word;
    hyphens: manual;
}

p.datestyle {
    margin-top: -6px;
    font-size: 12px;
    text-align: right;
    margin-right: 3rem;
    font-size: 11px;
    font-family: 'Calibri';
}

p.datestyles {
    margin-left: 3.6rem;
    margin-top: -10px;
    font-size: 11px;
    font-family: 'Calibri';
}

p.lexResponse {
    margin: 4px;
    display: flex;
    flex-direction: row;
    border-radius: 4px;
    min-width: 220px;
    float: left;
    text-align: auto;
    color: #000 !important;
    /* margin-bottom: 15px; */
    margin-left: 10px;
    max-width: 535px;
    font-family: 'Calibri';
    font-size: 14px;
}

span.spanText {
    padding: 12px 12px 12px 6px;
}

/*Tablet Query*/
@media only screen and (min-width: 481px) and (max-width:768px) {
    .windowStyling {
        height: calc(100vh - 151px);
    }

    textarea#wisdom {
        padding: 20px 118px 0px 10px !important;
        margin-left: -14px;
    }
}

@media only screen and (min-width:801px) {
    .windowStyling {
        height: calc(100vh - 113px);
    }

    textarea#wisdom {
        padding: 20px 108px 0px 10px !important;
        margin-left: -14px;
    }
}

@media only screen and (min-width:320px) and (max-width: 480px) {
    .windowStyling {
        padding-top: 10px !important;
        padding-left: 4px !important;
        height: calc(100vh - 195px) !important;
        width: auto;
    }
}


@media only screen and (max-width: 430px) {
    p.lexResponse {
        width: calc(100vw - 109px);
        margin-left: 6px;
    }

    span.spanText {
        max-width: 300px !important;
        padding: 12px 0px;
    }

    .text-container {
        overflow-x: hidden;
        overflow-y: hidden;
    }

    .windowStyling {
        padding-top: 10px !important;
        padding-left: 4px !important;
        height: calc(100vh - 177px) !important;
        width: auto;
    }

    textarea#wisdom {
        padding: 20px 118px 0px 10px !important;
        margin-left: -14px;
    }

    div.userRequest {
        max-width: 200px;
        min-width: auto;
        margin: 5px 20px 0px auto;
    }

    img.imageuseresponse {
        height: 30px;
        width: 30px;
        margin: 5px 12px 0px auto !important;
    }

    p.datestyle {
        margin-top: 7px;
        text-align: right;
        margin-right: 3.5rem;
    }

    p.datestyles {
        margin-left: 3.2rem;
    }
}

img.imageuseresponse {
    height: 30px;
    width: 30px;
    margin: 5px 7px 0px auto;
    border: 1px solid #56595c;
    border-radius: 50%;
}

img.imagebotresponse {
    height: 30px;
    width: 30px;
    float: left;
    display: inline;
    margin-top: 12px;
    margin-left: 10px;
    border: 1px solid #56595c;
    border-radius: 50%;

}

p.lexError {
    margin: 16px;
    display: flex;
    flex-direction: row;
    border-radius: 4px;
    min-width: 220px;
    float: left;
    text-align: auto;
    color: #000 !important;
    margin-bottom: 23px;
    margin-left: 16px;
    max-width: 535px;
    font-family: 'Calibri';
    font-size: 14px;
}

.text-container {
    width: 100%;
    margin-left: 0px !important;
    margin-right: 0px !important;
}

.input-wrapper {
    justify-content: center;
    display: flex;
    flex-direction: row;
    margin-left: 14px;
    /* margin-top: 8px; */
    width: calc(100vw - 0px);
}

.voice-window-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    height: 48px;
    background-color: #ebeef0;
    color: #ebeef0;
}

.sound {
    display: flex;
    flex-direction: row;
    vertical-align: middle;
    margin: auto 18px;
}

.sound-icon {
    /* background-image: url(/lex-chatbot/src/assets/sound-on.png); */
    background-repeat: no-repeat;
    display: block;
    height: 20px;
    width: 20px;
    background-size: contain;
}

.voice-text {
    color: #5b656e;
    font-size: 16px;
    font-weight: 300;
    margin: 1px 12px;
}

.container {
    position: relative;
    top: 24px;
    left: 0;
    transform: translate(-50%, -50%);
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto 18px;
}

.container .toggle {
    position: relative;
    top: 0;
    left: 0;
    width: 30px;
    height: 12px;
    background-color: #fff;
    border-radius: 30px;
    transition: 0.3s;
}

.container .toggle .toggle-button {
    position: absolute;
    top: -3px;
    left: -1px;
    width: 17px;
    height: 17px;
    background-color: #002868;
    border-radius: 50%;
    cursor: pointer;
    transition: 0.3s;
}

.container .toggle.active {
    background-color: #B00000;
}

.container .toggle.active .toggle-button {
    left: 15px;
}

.container .text {
    position: absolute;
    left: 95px;
    font-size: 25px;
    margin-left: 10px;
}

.mic {
    display: inline-block;
    top: 10px;
    height: 42px;
    width: 42px;
    background: #fefefe;
    background-repeat: no-repeat;
    clear: both;
    margin-top: 1px;
    position: relative;
    right: 42px;
}

.seperator {
    display: inline-block;
    position: absolute;
    top: 8px;
    right: 68px;
    height: 42px;
    width: 6px;
    background-repeat: no-repeat;
    background-position: center;
    border: none;
    outline: none;
    clear: both;
    z-index: 3;
    padding: 0px;
    font-size: 44px;
    color: darkgrey;
}

.mic_off {
    cursor: pointer;
    display: inline-block;
    position: absolute;
    top: 3px;
    right: 58px;
    background: #fefefe;
    height: 42px;
    width: 40px;
    background-repeat: no-repeat;
    background-position: center;
    border: none;
    outline: none;
    padding: 0px;
    clear: both;
    z-index: 5;
}

.mic_on {
    margin-top: 1px;
    cursor: pointer;
    display: inline-block;
    position: relative;
    top: 10px;
    right: 42px;
    background: #fefefe;
    height: 42px;
    width: 42px;
    background-repeat: no-repeat;
    background-position: center;
    border: none;
    outline: none;
    padding: 0px;
    clear: both;
    z-index: 5;
    border-radius: 50%;
    animation: shadow-pulse 1s infinite;
}

@keyframes shadow-pulse {
    0% {
        box-shadow: 0 0 0 0px rgba(0, 0, 0, 0.2);
    }

    100% {
        box-shadow: 0 0 0 25px rgba(0, 0, 0, 0);
    }

}

.feedbackImage {
    height: 28px;
    width: 28px;
    /* border-radius: 14px; */
    margin-right: 10px;
    margin-top: -3px;
}

.feedbackContainer {
    display: inline-block;
}

.textSpan {
    position: relative;
    bottom: 11px;
}

.otherTextSpan {
    position: relative;
    bottom: -2px;
}

.buttonResponse {
    text-decoration: none;
    padding: 4px 8px 8px;
    margin: 5px 0 14px;
    min-width: 318px;
    max-width: 318px;
    min-height: 34px;
    border-radius: 6px;
    text-align: center;
    border: 2px solid #002868;
    color: #fefefe;
    background-color: #002868;
    cursor: pointer;
    font-family: Calibri;
    font-weight: 600;
    font-size: 14px;
    vertical-align: top;
    margin-left: 65px;
}

.disableButton {
    text-decoration: none;
    padding: 4px 8px 8px;
    margin: 5px 0 14px;
    min-width: 318px;
    max-width: 318px;
    /* height: 34px; */
    border-radius: 6px;
    text-align: center;
    border: 2px solid #838fa2;
    color: #757575;
    background-color: #e5e5e5;
    pointer-events: none;
    cursor: not-allowed;
    font-family: Calibri;
    font-weight: 600;
    font-size: 14px;
    vertical-align: top;
    margin-left: 65px;
}

.visitedBtn {
    text-decoration: none;
    padding: 4px 8px 8px;
    margin: 5px 0 14px;
    min-width: 318px;
    max-width: 318px;
    /* height: 34px; */
    border-radius: 6px;
    text-align: center;
    border: 2px solid #002868;
    color: #f2f2f2;
    background-color: #002868;
    pointer-events: none;
    cursor: not-allowed;
    font-family: Calibri;
    font-weight: 600;
    font-size: 14px;
    vertical-align: top;
    margin-left: 65px;
}

@media only screen and (max-width: 767px) {
    .buttonResponse {
        min-width: 200px;
        max-width: 200px;
        min-height: 34px;
        max-height: 48px;
        margin-left: 50px;
    }

    .disableButton {
        min-width: 200px;
        max-width: 200px;
        min-height: 34px;
        max-height: 48px;
        margin-left: 50px;
    }

    .visitedBtn {
        min-width: 200px;
        max-width: 200px;
        min-height: 34px;
        max-height: 48px;
        margin-left: 50px;
    }
}

.iphoneWindowStyling {
    padding-top: 10px !important;
    padding-left: 4px !important;
    height: calc(100vh - 200px) !important;
    width: auto;
}

.iframeWindowStyling {
    height: calc(100vh - 130px) !important;
}

/* iPad Portrait */

@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (orientation: portrait) {
    .windowStyling {
        padding-top: 10px !important;
        padding-left: 4px !important;
        height: calc(100vh - 152px) !important;
        width: auto;
    }
}


@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) and (orientation : landscape) {
    .windowStyling {
        padding-top: 10px !important;
        padding-left: 4px !important;
        height: calc(100vh - 160px) !important;
        width: auto;
    }
}

.androidWindowStyling {
    padding-top: 10px !important;
    padding-left: 4px !important;
    height: calc(100vh - 177px) !important;
    width: auto;
}

.buttonContainer {
    margin-top: -10px;
}

.iphoneSeperatorStyling {
    top: 0px;
}